---
title: Revisiting photogrammetry
date: 2018-02-09T10:17:00
draft: false
cover:
  image: "images/revamp.png"
  alt: "<alt text>"
  caption: "<text>"
  relative: true # To use relative path for cover image, used in hugo Page-bundles
categories:
  - Projet
---
I made an article about photogrammerty a few months back, but have learnt a few new things since, so it's time for a revamp !

I came across [this awesome tutorial](https://www.youtube.com/watch?v=k4NTf0hMjtY) on YouTube by CG Geek, and I followed his tips.

I will only work on the render part of the photogrammetry, using only the little buddha scene from last time. The texture settings will be much better, as I'll use nodes this time to set all the properties.

Here is what I came up with :

{{< figure align=center src="images/revamp-1024x576.png" alt="Alt text" title="My new render" >}}


{{< figure align=center src="images/untitled-1024x576.png" alt="Alt text" title="The old version" >}}


## How it was made

I first imported the raw model, textureless

{{< figure align=center src="images/textureless.png" alt="Alt text" title="The textureless model. Really does not look good like this." >}}


Then I added the raw texture

{{< figure align=center src="images/textures.png" alt="Alt text" title="This is the texture only. Better, but lacks realism." >}}


I created a material, and used the nodes to configure it :

{{< figure align=center src="images/nodes-1024x780.png" alt="Alt text" title="Some nodes to set material properties" >}}


{{< figure align=center src="images/material.png" alt="Alt text" title="Material loaded !" >}}


There is a rougness which depends on the darkness of the texture : the darker, the smoother.

{{< figure align=center src="images/roughness.png" alt="Alt text" >}}

I added a bimp map to create little bumps where the texture was the darkest. That added to the realism of the tree bark, and created some wear on the statue itself.

{{< figure align=center src="images/bump.png" alt="Alt text" >}}
I added a background HDR from [HDRI Haven](https://hdrihaven.com/), awesome website, I really recommend ! It's all free to use high quality material ! [Feel free to help their patreon page](https://www.patreon.com/hdrihaven/overview)

{{< figure align=center src="images/back.png" alt="Alt text" >}}
Then  I played with the camera settings, finding a nice view, setting the focus point and opening the aperture for the background and foreground to be a bit blurry.

And that's it ! I thing this result is way better than last time !

{{< figure align=center src="images/revamp.png" alt="Alt text" title="The final result !" >}}
